package com.ether;

import java.util.Arrays;
import java.util.List;

/**
 * @author vmipsl
 * @date sept. 2011
 */
public class BouchonHelper
{
    public static Data createRealValuesFor2D()
    {
        final Double[] latitudeArray = new Double[]{48.898, 48.899, 48.900, 49.1001, 49.1002, 49.1003, 49.1004};
        final Double[] longitudeArray = new Double[]{-0.1832, 2.0368, 2.0369, 2.037, 2.8216, 2.8221, 3.0};
        final Double[] parameterArray = new Double[]{0.1094, 30.8, 19.0, 12.31, 12.69, 12.06, 6.813};

        final List<Double> latitudeValues = Arrays.asList( latitudeArray );
        final List<Double> longitudeValues = Arrays.asList( longitudeArray );
        final List<Double> parameterValues = Arrays.asList( parameterArray );

        return new Data( parameterValues, latitudeValues, longitudeValues );
    }
}
